%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-transaction-spi
Version:          7.0.0
Release:          %mkrel 3
Summary:          JBoss Transaction SPI
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/integration/tags/jboss-transaction-spi-7.0.0.Final/
# tar cafJ jboss-transaction-spi-7.0.0.Final.tar.xz jboss-transaction-spi-7.0.0.Final
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jboss-connector-1.6-api
BuildRequires:    jboss-logging
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin

Requires:         java
Requires:         jboss-connector-1.6-api
Requires:         jboss-logging
Requires:         jboss-transaction-1.1-api
Requires:         jpackage-utils

%description
The Java Transaction SPI classes

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm .classpath

%build
mvn-rpmbuild install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/
install -pm 644 target/jboss-transaction-spi-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 7.0.0-3.mga3
+ Revision: 355175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 7.0.0-2.mga3
+ Revision: 341257
- 7.0.0 Final

* Wed Feb 08 2012 gil <gil> 7.0.0-1.mga3
+ Revision: 206489
- imported package jboss-transaction-spi

